"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.push = push;
exports.clearCache = clearCache;
exports.default = void 0;

/**
 * 缓存函数数组
 * @type {Array}
 */
var cacheFunList = [];
/**
 * 把缓存函数加入到数组中
 * @param {Function} func - 函数
 */

function push(func) {
  cacheFunList.push(func);
}
/**
 * 清空在数组中函数的缓存数据
 */


function clearCache() {
  cacheFunList.forEach(function (func) {
    func.clearCache();
  });
}

var _default = {
  push: push,
  clearCache: clearCache
};
exports.default = _default;